<?php echo $this->html->css("styles.css");?>

<form method="post" action="<?php echo $this->path->router(array('controller'=>'settings', 'function'=>'config_step1_save'));?>">
	<h3>Configuration wizard (step 1 of 2)</h3>

	<?echo $this->msg->show('error');?>

	<p>In this step you can configure your Amazon S3 server or your Pressbackup Pro server, to automatically performs backups, or you can leave this fields empty, and download manual backups whenever you want to.</p>
	<h4>Do you have an Amazon S3 or PressBackup Pro account?</h4>

	<p><input type="radio" id="credentialNoRadio" name="data[credentials]" <?if($credentials_type =='no'){echo 'checked';}?>  value="no" onclick="jQuery('#s3yes').hide('fast'); jQuery('#proyes').hide('fast');" /> <label for="credentialNoRadio">No</label></p>
	<p><input type="radio" id="credentialS3Radio" name="data[credentials]" <?if($credentials_type =='s3'){echo 'checked';}?> value="s3" onclick="jQuery('#proyes').hide('fast'); jQuery('#s3yes').show('fast');" /> <label for="credentialS3Radio">Amazon S3</label></p>
	<p><input type="radio" id="credentialProRadio" name="data[credentials]" <?if($credentials_type =='pro'){echo 'checked';}?> value="pro" onclick="jQuery('#s3yes').hide('fast'); jQuery('#proyes').show('fast');" /> <label for="credentialProRadio">Pressbackup Pro</label> &raquo; <a href="http://pressbackup.com/pro/pricing" target="_blank">Singup for an account!</a></p>

	<div class="doyouhaves3" <?if($credentials_type=='s3'){echo "style='display:block;'";}?> id="s3yes">
		<label class="label_for_input">S3 accessKey</label><br/><input type="text" class="longinput" name="data[preferences][S3][accessKey]"><br/>
		<label class="label_for_input">S3 secretKey</label><br/><input type="text" class="longinput" name="data[preferences][S3][secretKey]"><br/>
		<?echo $this->html->link('Advanced options', '#', array('id'=>'ao_link'));?>
		<div id="S3advanced"style="display:none">
			<p><input type="radio" id="s3_reg_us" name="data[preferences][S3][region]" value="US" checked> <label for="s3_reg_us">US S3</label></p>
			<p><input type="radio" id="s3_reg_eu" name="data[preferences][S3][region]" value="EU"> <label for="s3_reg_eu">European S3</label></p>
		</div>
	</div>

	<div class="doyouhaves3" <?if($credentials_type=='pro'){echo "style='display:block;'";}?> id="proyes">
		<label class="label_for_input">Pressbackup Pro User</label><br/><input type="text" class="longinput" name="data[preferences][pressbackuppro][user]"><br/>
		<label class="label_for_input">Pressbackup Pro AuthKey</label><br/><input type="text" class="longinput" name="data[preferences][pressbackuppro][key]"><br/>
	</div>

	<?if($settings['pressbackup']['configured']){?>
		<?echo $this->html->link('Back to dashboard', array('menu_type'=>'tools', 'controller'=>'principal', 'function'=>'dashboard'), array('class'=>'button'));?>
	<?}else{?>
		<?echo $this->html->link('Back', array('controller'=>'settings', 'function'=>'config_init'), array('class'=>'button'));?>
	<?}?>
	<input class="button" type="submit" value="Next">
</form>

<script type='text/javascript'>
jQuery('#ao_link').click(function(){

	if(jQuery('#S3advanced').css('display') == 'none'){
		jQuery('#S3advanced').show('fast');
	}
	else{
		jQuery('#S3advanced').hide('fast');
	}
	return false;
});
</script>


